Page 2 of 2 FirstFirst 12
Results 11 to 16 of 16

Thread: Can't update cups

  1. #11

    Default Re: Can't update cups

    Quote Originally Posted by wolfi323 View Post
    So you have the "bad" package installed, which contains a directory /usr/share/cups/fonts instead of a symlink (as 136.1 has again).
    Again, remove that directory and all should be fine.
    Thanx. Removing directory solved the issue.

  2. #12

    Default Re: Can't update cups

    Quote Originally Posted by kensch View Post
    <sarcasm>
    Why should one person fix the rpm when thousands can use the work a round.
    </sarcasm>
    Well, no "official" package ever contained that "bug" (it's no package bug really, actually this is a long-standing bug/limitation in rpm itself), it was just a short-lived glitch in the devel repo. So I doubt that many people are affected.
    But I agree, they could have added an "rm" to the %pre script or similar. OTOH, that could also remove things that shouldn't be removed I guess. (another package might have put stuff into /usr/share/cups/fonts/ as well)

  3. #13
    Join Date
    Jun 2008
    Location
    West Yorkshire, UK
    Posts
    3,471

    Default Re: Can't update cups

    I deleted
    Code:
    /usr/share/cups/fonts
    and then created a new symlink and the update has installed successfully.

  4. #14

    Default Re: Can't update cups

    Quote Originally Posted by john_hudson View Post
    I deleted
    Code:
    /usr/share/cups/fonts
    and then created a new symlink and the update has installed successfully.
    You shouldn't have to create a symlink yourself. The package does that anyway.

  5. #15
    Join Date
    Oct 2010
    Location
    Mountains of Palencia
    Posts
    135

    Default Re: Can't update cups

    Quote Originally Posted by wolfi323 View Post
    Well, no "official" package ever contained that "bug" (it's no package bug really, actually this is a long-standing bug/limitation in rpm itself), it was just a short-lived glitch in the devel repo. So I doubt that many people are affected.
    But I agree, they could have added an "rm" to the %pre script or similar. OTOH, that could also remove things that shouldn't be removed I guess. (another package might have put stuff into /usr/share/cups/fonts/ as well)
    I have similar problem - see "Installation aborted by user"
    Lenovo IdeaPad,Y510p. openSUSE LEAP 42.3 (x86_64). KDE. Intel i7, 16GB RAM, 1TB SSD/HD drive. NVIDIA GT755M 2GB (not installed yet).

  6. #16
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,745

    Default Re: Can't update cups

    Quote Originally Posted by pacolaser View Post
    I have similar problem - see "Installation aborted by user"
    When you have a 'similar' problem, you do not have the same problem (else you could have used the solution above). But when yiu have a similar problem, please start a thread for that problem. With a good title that tells in a few keywords about it. Do not hang your similar problem at the end of a thread. Meany people will not see it. And you want to advertise to an audience as large as possible your problem, because you want help.
    Henk van Velden

Page 2 of 2 FirstFirst 12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •